Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2003-0218

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2003-0218
Last Modified 24 Oct 2012 12:00:00
Published 12 May 2003 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2003-0218

Summary

Buffer overflow in PostMethod() function for Monkey HTTP Daemon (monkeyd) 0.6.1 and earlier allows remote attackers to execute arbitrary code via a POST request with a large body.

Vulnerable Systems

Application

  • Monkey Http Daemon 0.4

  • Monkey Http Daemon 0.4.1

  • Monkey Http Daemon 0.4.2

  • Monkey Http Daemon 0.5

  • Monkey Http Daemon 0.5.1

  • Monkey Http Daemon 0.6

  • Monkey Http Daemon 0.6.1

  • Monkey-project Monkey Http Daemon 0.1.1

  • Monkey-project Monkey Http Daemon 0.5.2

  • Monkey-project Monkey Http Daemon 0.6.0

  • Monkey-project Monkey Http Daemon 0.6.1


References

BID - 7202

BUGTRAQ - 20030428 GLSA: monkeyd (200304-07.1)

VULNWATCH - 20030420 Monkey HTTPd Remote Buffer Overflow

CONFIRM - http://monkeyd.sourceforge.net/Changelog.txt


Last Updated: 27 May 2016 11:01:14